Package org.apache.uima.pear.util

# Class UIMAUtil

java.lang.Object
org.apache.uima.pear.util.UIMAUtil

public class UIMAUtil extends Object
The `UIMAUtil` class provides convenient methods for handling UIMA specific objects.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ANALYSIS_ENGINE_CTG`
  Analysis Engine
  `static final String`
  `CAS_CONSUMER_CTG`
  CAS Consumer
  `static final String`
  `CAS_INITIALIZER_CTG`
  CAS Initializer
  `static final String`
  `COLLECTION_READER_CTG`
  Collection Reader
  `static final String`
  `CPE_CONFIGURATION_CTG`
  CPE Configuration
  `static final String`
  `REUSABLE_RESOURCE_CTG`
  Reusable Resource
  `static final String`
  `TYPE_SYSTEM_CTG`
  Type System

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UIMAUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Exception`
  `getLastErrorForXmlDesc(File xmlDescFile)`
  Returns the last logged `Exception` object associated with a given XML descriptor file.
  `static Exception`
  `getLastErrorForXmlDesc(URL xmlDescUrl)`
  Returns the last logged `Exception` object associated with a given XML descriptor URL.
  `static String`
  `identifyUimaComponentCategory(File xmlDescFile)`
  Identifies a given UIMA component/resource category based on its XML descriptor.
  `static String`
  `identifyUimaComponentCategory(URL xmlDescUrl)`
  Identifies a given UIMA component/resource category based on its XML descriptor.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ANALYSIS_ENGINE_CTG

    public static final String ANALYSIS_ENGINE_CTG
    Analysis Engine
    See Also:
      - Constant Field Values

  - ### CAS_CONSUMER_CTG

    public static final String CAS_CONSUMER_CTG
    CAS Consumer
    See Also:
      - Constant Field Values

  - ### CAS_INITIALIZER_CTG

    public static final String CAS_INITIALIZER_CTG
    CAS Initializer
    See Also:
      - Constant Field Values

  - ### COLLECTION_READER_CTG

    public static final String COLLECTION_READER_CTG
    Collection Reader
    See Also:
      - Constant Field Values

  - ### CPE_CONFIGURATION_CTG

    public static final String CPE_CONFIGURATION_CTG
    CPE Configuration
    See Also:
      - Constant Field Values

  - ### TYPE_SYSTEM_CTG

    public static final String TYPE_SYSTEM_CTG
    Type System
    See Also:
      - Constant Field Values

  - ### REUSABLE_RESOURCE_CTG

    public static final String REUSABLE_RESOURCE_CTG
    Reusable Resource
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UIMAUtil

    public UIMAUtil()

- ## Method Details

  - ### getLastErrorForXmlDesc

    public static Exception getLastErrorForXmlDesc(File xmlDescFile)
    Returns the last logged `Exception` object associated with a given XML descriptor file.
    Parameters:
      `xmlDescFile` - The given XML descriptor file.
    Returns:
      The last logged `Exception` object associated with the given XML descriptor file.

  - ### getLastErrorForXmlDesc

    public static Exception getLastErrorForXmlDesc(URL xmlDescUrl)
    Returns the last logged `Exception` object associated with a given XML descriptor URL.
    Parameters:
      `xmlDescUrl` - The given XML descriptor URL.
    Returns:
      The last logged `Exception` object associated with the given XML descriptor URL.

  - ### identifyUimaComponentCategory

    public static String identifyUimaComponentCategory(File xmlDescFile) throws IOException
    Identifies a given UIMA component/resource category based on its XML descriptor. If succeeded, returns appropriate UIMA component category ID, otherwise returns `null`. If the UIMA component category cannot be identified based on the given XML descriptor file, the associated UIMA exception is logged and can be retrieved later by using the `getLastErrorForXmlDesc()` method.
    Parameters:
      `xmlDescFile` - The given component XML descriptor file.
    Returns:
      UIMA component category ID or `null`, if the category cannot be identified based on the given XML descriptor file.
    Throws:
      `IOException` - If any I/O exception occurred.

  - ### identifyUimaComponentCategory

    public static String identifyUimaComponentCategory(URL xmlDescUrl) throws IOException
    Identifies a given UIMA component/resource category based on its XML descriptor. If succeeded, returns appropriate UIMA component category ID, otherwise returns `null`. If the UIMA component category cannot be identified based on the given XML descriptor file, the associated UIMA exception is logged and can be retrieved later by using the `getLastErrorForXmlDesc()` method.
    Parameters:
      `xmlDescUrl` - The given component XML descriptor URL.
    Returns:
      UIMA component category ID or `null`, if the category cannot be identified based on the given XML descriptor file.
    Throws:
      `IOException` - If any I/O exception occurred.